Bug 1919430 - "hammer status" returns 500 ISE when a Capsule or Satellite has foreman-proxy "logs" feature disabled
Summary: "hammer status" returns 500 ISE when a Capsule or Satellite has foreman-proxy...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: API
Version: 6.7.0
Hardware: x86_64
OS: Linux
low
unspecified vote
Target Milestone: 6.8.4
Assignee: Pavel Moravec
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-22 20:32 UTC by James Jeffers
Modified: 2021-12-01 10:51 UTC (History)
6 users (show)

Fixed In Version: foreman-2.1.2.25-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1850440
Environment:
Last Closed: 2021-02-24 12:47:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 30205 0 Normal Closed Request to /api/statuses returns 500 ISE when a smart proxy has "logs" feature disabled 2021-02-15 16:53:27 UTC
Red Hat Knowledge Base (Solution) 5180551 0 None None None 2021-01-22 20:32:59 UTC
Red Hat Product Errata RHBA-2021:0654 0 None None None 2021-02-24 12:47:24 UTC

Comment 3 Lukáš Hellebrandt 2021-02-10 17:27:21 UTC
Verified with Sat 6.8.4 snap 1.0 (and Capsule of the same version).

Tried on both external and internal capsule. Disabled logging, accessed the API endpoint, got results and no error.

Comment 8 errata-xmlrpc 2021-02-24 12:47:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Satellite 6.8.4 Async Bug Fix Update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0654


Note You need to log in before you can comment on or make changes to this bug.